clan::XMLTokenizer Class Reference - ClanLib SDK
Description: clan::XMLTokenizer Class Reference

Public Member Functions | List of all members
clan::XMLTokenizer Class Reference
clanXML XML

The XML Tokenizer breaks a XML file into XML tokens. More...

`#include <xml_tokenizer.h>`

## Public Member Functions
| XMLTokenizer ()
| XMLTokenizer (const XMLTokenizer &copy)
| Constructs a XMLTokenizer.
| XMLTokenizer (IODevice &input)
| Constructs a XMLTokenizer.
virtual | ~XMLTokenizer ()
bool | get_eat_whitespace () const
| Returns true if eat whitespace flag is set.
XMLToken | next ()
| Returns the next token available in input stream.
void | next (XMLToken *out_token)
| Next.
void | set_eat_whitespace (bool enable)
| If enabled, will eat any whitespace between tags.

## Detailed Description

The XML Tokenizer breaks a XML file into XML tokens.

## Constructor & Destructor Documentation

## ◆ XMLTokenizer() [1/3]

clan::XMLTokenizer::XMLTokenizer | ( |  | ) |

## ◆ XMLTokenizer() [2/3]

clan::XMLTokenizer::XMLTokenizer | ( | const XMLTokenizer & | copy | ) |

Constructs a XMLTokenizer.

Parameters

  copy | = XMLTokenizer

## ◆ XMLTokenizer() [3/3]

clan::XMLTokenizer::XMLTokenizer | ( | IODevice & | input | ) |

Constructs a XMLTokenizer.

Parameters

  input | = IODevice

## ◆ ~XMLTokenizer()

virtual clan::XMLTokenizer::~XMLTokenizer | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ get_eat_whitespace()

bool clan::XMLTokenizer::get_eat_whitespace | ( |  | ) | const

Returns true if eat whitespace flag is set.

## ◆ next() [1/2]

XMLToken clan::XMLTokenizer::next | ( |  | ) |

Returns the next token available in input stream.

## ◆ next() [2/2]

void clan::XMLTokenizer::next | ( | XMLToken * | out_token | ) |

Next.

Parameters

  out_token | = XMLToken

## ◆ set_eat_whitespace()

void clan::XMLTokenizer::set_eat_whitespace | ( | bool | enable | ) |

If enabled, will eat any whitespace between tags.

The documentation for this class was generated from the following file:

- xml_tokenizer.h